List of all members
cgicc::XMLPI Class Reference

Class that abstracts a XMLPI. More...

`#include <cgicc/XMLPI.h>`

Inheritance diagram for cgicc::XMLPI:

## Constructor and Destructor
| XMLPI (std::string name)
| Constructor. More...
virtual | ~XMLPI ()
| Destructor. More...
XMLPI & | operator= (const XMLPI &element)
std::string | getName () const
const HTMLAttributeList * | getAttributes () const
void | setAttributes (const HTMLAttributeList &attributes)
XMLPI & | set (const std::string &name)
XMLPI & | set (const std::string &name, const std::string &value)
virtual void | render (std::ostream &out) const
| Write this object to a stream. More...

## Additional Inherited Members
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Detailed Description

Class that abstracts a XMLPI.

This class add the XMLPI feature

Definition at line 44 of file XMLPI.h.

## Constructor & Destructor Documentation

## ◆ XMLPI()

cgicc::XMLPI::XMLPI | ( | std::string | name | ) |

Constructor.

Create a new XMLPI.h object

Parameters

  input | The name of the XMLPI

## ◆ ~XMLPI()

virtual cgicc::XMLPI::~XMLPI | ( |  | ) |
| virtual

Destructor.

Delete this XMLPI object

## Member Function Documentation

## ◆ getAttributes()

const HTMLAttributeList * cgicc::XMLPI::getAttributes | ( |  | ) | const
| inline

Definition at line 70 of file XMLPI.h.

## ◆ getName()

std::string cgicc::XMLPI::getName | ( |  | ) | const
| inline

Definition at line 69 of file XMLPI.h.

## ◆ render()

virtual void cgicc::XMLPI::render | ( | std::ostream & | out | ) | const
| virtual

Write this object to a stream.

Subclasses must implement this function.

Parameters

  out | The ostream to which to write.

Implements cgicc::MStreamable.

The documentation for this class was generated from the following file:

- XMLPI.h